Bug 42040 - Scrolling with Mouse Wheel sticks in Form Fields and Comment Boxes
Summary: Scrolling with Mouse Wheel sticks in Form Fields and Comment Boxes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2011-10-20 03:17 UTC by Harald Koester
Modified: 2021-03-08 04:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document with example and additional information (14.02 KB, application/vnd.oasis.opendocument.text)
2011-10-20 03:17 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2011-10-20 03:17:51 UTC
Created attachment 52577 [details]
Document with example and additional information

If the cursor is positioned in an input field of a toolbar (e. g.: Find String, Font Name, Font Size) scrolling with the mouse wheel sticks in form fields and comment boxes.

For more information I prepared a document as an example. Look at this attachment file.
Comment 1 sasha.libreoffice 2012-04-14 01:18:34 UTC
Reproduced in 3.3.4 and 3.5.2 on Fedora 64 bit

IMHO Writer thinks that controls in document and small arrow in right hand bottom of comment are toolbars and behaves accordingly. 
Expected: scroll of document disabled only if mouse in "spin" tool or form control (where we can change value by scrolling mouse)
Actually: scroll of document disabled for all controls, even in comments
Comment 2 A (Andy) 2014-10-01 22:28:31 UTC
reproducible with LO 4.3.2.2 (Win 8.1)
Comment 3 QA Administrators 2015-10-14 19:56:16 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2015-11-14 17:43:19 UTC
Bug still exists in version 5.0.3.2 with Win7 32 Bit.

Bug already exists in version 3.3.0. There is a difference: The "Find Toolbar" is not displayed with Ctrl+F. You have to display it with the menu and then click into the Find field of the toolbar.
Comment 5 QA Administrators 2017-01-03 19:35:12 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2017-02-19 13:05:44 UTC
Bug still exists in version 5.3.0 with Win7.
Comment 7 QA Administrators 2018-02-20 03:37:29 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2018-02-22 13:10:11 UTC
Bug still exists in version 6.0.1 (64 bit, Win 10).
Comment 9 QA Administrators 2019-02-23 03:42:08 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2019-03-08 17:24:51 UTC
Bug still exists in version 6.2.1 (64 bit) with Win10.
Comment 11 QA Administrators 2021-03-08 04:02:12 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug